%bcond_with optional_test

Summary:        Associate user-defined magic to variables from Perl
Name:           perl-Variable-Magic
Version:        0.63
Release:        2%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Variable-Magic
Source0:        https://cpan.metacpan.org/authors/id/V/VP/VPIT/Variable-Magic-%{version}.tar.gz

BuildRequires:  make gcc
BuildRequires:  coreutils findutils
BuildRequires:  perl-devel perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(Config) perl(:VERSION) >= 5.8 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Carp) perl(Exporter) perl(XSLoader)
BuildRequires:  perl(B::Deparse) perl(bytes) perl(File::Spec) perl(lib)
BuildRequires:  perl(POSIX) perl(Test::More) perl(vars)
BuildRequires:  perl(Hash::Util::FieldHash) perl(IO::Handle) perl(IO::Select)
BuildRequires:  perl(IPC::Open3) perl(Socket) perl(Symbol)
%if %{with optional_test}
BuildRequires:  perl(Perl::Destruct::Level)
%endif
BuildRequires:  perl(threads) perl(threads::shared) perl(Tie::Array) perl(Tie::Hash)
Requires:       perl(Carp) perl(XSLoader)

%description
Magic is Perl way of enhancing objects.The Magic mechanism allows users to add additional data to
any variable and hook syntactical operations (such as access,assignation or destruction) that can
be applied to it.This module can add its own Magic to any variable without the pain of the C API.

%prep
%autosetup -n Variable-Magic-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}" NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}/*

%check
make test

%files
%doc Changes README
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Variable*
%{_mandir}/man3/*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.63-2
- Rebuilt for loongarch release

* Wed Dec 20 2023 Upgrade Robot <upbot@opencloudos.org> - 0.63-1
- Upgrade to version 0.63

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.62-5
- Rebuilt for OpenCloudOS Stream 23.09

* Thu Aug 17 2023 Xiaojie Chen <jackxjchen@tencent.com> - 0.62-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.62-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.62-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 16 2023 cunshunxia <cunshunxia@tencent.com> - 0.62-2
- build without optional tests.

* Wed Aug 10 2022 Wang Guodong <gordonwwang@tencent.com> - 0.62-1
- package init.
